Package com.smartgwt.client.widgets.grid.events

# Interface HasDataChangedHandlers

All Superinterfaces:
  `HasHandlers`

All Known Implementing Classes:
  `CalendarView`, `CubeGrid`, `DateGrid`, `EditTree`, `ListGrid`, `ListPalette`, `Menu`, `MenuPalette`, `PickListMenu`, `RecordEditor`, `SelectionTreeMenu`, `TableView`, `TreeGrid`, `TreePalette`

public interface HasDataChangedHandlers extends HasHandlers

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HandlerRegistration`
  `addDataChangedHandler(DataChangedHandler handler)`
  Method invoked when changes to the listGrid's data occur.

  ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

  `fireEvent`

- ## Method Details

  - ### addDataChangedHandler

    HandlerRegistration addDataChangedHandler(DataChangedHandler handler)
    Method invoked when changes to the listGrid's data occur. This method will perform the necessary actions to ensure the changes to the data are reflected in the user interface, and then invoked the `dataChangedComplete()` notification method.

    May be invoked by any of the following:

    - a call to `addData()`, `updateData()`, or `removeData()`
    - `DataSource` updates from the server for `ResultSet` data (triggered by record editing, etc.)
    - fetches arriving back from the server for `ResultSet` data
    - changes to array data if made through APIs such as Array.set(), Array.add(), etc.
    - cache invalidation
    - filtering
    Calling `setData()` will not call this method directly, but it may fire if one of the above listed events is triggered (e.g. a server fetch for `ResultSet` data).

    Note that the `operationType` parameter is optional and will be passed and contain the operation (e.g. "update") if this notification was triggered by a fetch, an `addData()`, `updateData()`, or `removeData()`, or a `DataSource` update for `ResultSet` data (the first three reasons listed above) but otherwise will be null.

    Parameters:
      `handler` - the dataChanged handler
    Returns:
      `HandlerRegistration` used to remove this handler